Index: client_app/src/components/template/header.js
===================================================================
--- client_app/src/components/template/header.js	(revision 6f9b7b0be231e798aeb85cf2cc534fec8a49bf74)
+++ client_app/src/components/template/header.js	(revision 2c06dce3d98340545680fcc40b184962027ad3e5)
@@ -1,5 +1,5 @@
 import React from 'react';
 import {Link} from "react-router-dom";
-import {Menu, MenuItem} from "semantic-ui-react";
+import {Menu, MenuItem } from "semantic-ui-react";
 
 
@@ -7,6 +7,15 @@
     if(props.accType == null){
         return(
-            <Menu inverted position="right">
-                <MenuItem as={Link} to='/login'>
+            <Menu inverted>
+                <MenuItem  as={Link} to='/register/user'>
+                    Register User
+                </MenuItem>
+                <MenuItem as={Link} to='/register/company'>
+                    Register Company
+                </MenuItem>
+                <MenuItem as={Link} to='/register/team'>
+                    Register Team
+                </MenuItem>
+                <MenuItem position="right" as={Link} to='/login'>
                     Login
                 </MenuItem>
@@ -16,48 +25,57 @@
         if(props.accType==="COMPANY"){
             return(
-                <Menu inverted position="right">
+                <Menu inverted>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/jobs'>
+                    <Menu.Item as={Link} to='/company/jobs'>
                         Jobs
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/internships'>
+                    <Menu.Item as={Link} to='/company/internships'>
                         Internships
                     </Menu.Item>
+                    <MenuItem onClick={props.removeState} position="right" as={Link} to='/logout'>
+                        Logout
+                    </MenuItem>
                 </Menu>
             );
         }else if(props.accType==="TEAM"){
             return(
-                <Menu inverted position="right">
-                    <Menu.Item as={Link} to='/profile'>
+                <Menu inverted>
+                    <Menu.Item position="right" as={Link} to='/profile'>
                         Profile
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/jobs'>
+                    <Menu.Item as={Link} to='/team/jobs'>
                         Jobs
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/projects'>
+                    <Menu.Item as={Link} to='/team/projects'>
                         Projects
                     </Menu.Item>
+                    <MenuItem onClick={props.removeState} position="right" as={Link} to='/logout'>
+                        Logout
+                    </MenuItem>
                 </Menu>
             );
         }else if(props.accType==="USER"){
             return(
-                <Menu inverted position="right">
+                <Menu inverted>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/jobs'>
+                    <Menu.Item as={Link} to='/user/jobs'>
                         Jobs
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/internships'>
+                    <Menu.Item as={Link} to='/user/internships'>
                         Internships
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/projects'>
+                    <Menu.Item as={Link} to='/user/projects'>
                         Projects
                     </Menu.Item>
-                    <Menu.Item as={Link} to='/search'>
+                    <Menu.Item as={Link} to='/user/search'>
                         Search
                     </Menu.Item>
+                    <MenuItem onClick={props.removeState} position="right" as={Link} to='/logout'>
+                        Logout
+                    </MenuItem>
                 </Menu>
             );
